Bug 35459 - unable to change limit of file descriptors available
unable to change limit of file descriptors available
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-04-10 11:55 EDT by n.blackaby
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 12:00:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description n.blackaby 2001-04-10 11:55:02 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


Non-root user unable to use ulimit to raise the  maximum number of open 
file descriptors.

Reproducible: Always
Steps to Reproduce:
1. The file /etc/rc.d/rc.local contains the lines at the end:
     echo 128000 > /proc/sys/fs/inode-max
     echo 64000 > /proc/sys/fs/file-max
2. As root: type ulimit -n 32000
3. As root, "ulimit -a" command shows last command was succcessful.
4. As normal user: type "ulimit -n 5000"
5. receive error message: "bash: ulimit: cannot modify limit: Operation 
not permitted"


	

Actual Results:  Non root user cannot increase number of open files they 
are allowed to have

Expected Results:  Want to increase number of open files for one of my non-
root users
Comment 1 Nalin Dahyabhai 2001-08-30 20:56:12 EDT
Unprivileged uses are not allowed to increase their limits.  (If they could,
there would be little point in setting them in the first place.)  This is a
policy enforced by the kernel.  See the setrlimit(2) man page for more information.

Note You need to log in before you can comment on or make changes to this bug.